Package org.apache.lucene.analysis.hunspell

## Class HunspellStemFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.TokenFilterFactory
    - - org.apache.lucene.analysis.hunspell.HunspellStemFilterFactory

- All Implemented Interfaces:
    `ResourceLoaderAware`

      public class HunspellStemFilterFactory
      extends TokenFilterFactory
      implements ResourceLoaderAware

  TokenFilterFactory that creates instances of `HunspellStemFilter`. Example config for British English:

       <filter class="solr.HunspellStemFilterFactory"
               dictionary="en_GB.dic,my_custom.dic"
               affix="en_GB.aff"
               ignoreCase="false"
               longestOnly="false" />

  Both parameters dictionary and affix are mandatory. Dictionaries for many languages are available through the OpenOffice project.

  See http://wiki.apache.org/solr/Hunspell

  Since:
    3.5.0
  WARNING: This API is experimental and might change in incompatible ways in the next release.
  SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
    "hunspellStem"

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NAME` | SPI name

    - ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HunspellStemFilterFactory()` | Default ctor for compatibility with SPI
    `HunspellStemFilterFactory​(Map<String,​String> args)` | Creates a new HunspellStemFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TokenStream` | `create​(TokenStream tokenStream)` |
    `void` | `inform​(ResourceLoader loader)` |

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

      `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HunspellStemFilterFactory

          public HunspellStemFilterFactory​(Map<String,​String> args)

      Creates a new HunspellStemFilterFactory

    - #### HunspellStemFilterFactory

          public HunspellStemFilterFactory()

      Default ctor for compatibility with SPI

  - ### Method Detail

    - #### inform

          public void inform​(ResourceLoader loader)
                      throws IOException

      Specified by:
        `inform` in interface `ResourceLoaderAware`
      Throws:
        `IOException`

    - #### create

          public TokenStream create​(TokenStream tokenStream)

      Specified by:
        `create` in class `TokenFilterFactory`